Summary: German files for aspell
Name: aspell-de
Version: 0.1.1
Release: 17
Group: Applications/Text
Source: aspell-de-0.1.1.tar.bz2
License: GPL
Requires: aspell
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell
Obsoletes: ispell-de, ispell-german

%description
A German dictionary for use with aspell, a spelling checker.

%prep
%setup -q

%build
cp %{_datadir}/aspell/iso8859-1.dat .

LC_CTYPE=de_DE aspell --lang=german --data-dir=. \
    create master ./german < words.german

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell

install -m 0644 german.dat $RPM_BUILD_ROOT%{_datadir}/aspell
install -m 0644 german $RPM_BUILD_ROOT%{_libdir}/aspell
ln -s german $RPM_BUILD_ROOT%{_libdir}/aspell/deutsch
echo "%{_libdir}/aspell/german" > $RPM_BUILD_ROOT%{_datadir}/pspell/de-aspell.pwli


%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_libdir}/aspell/*
%{_datadir}/aspell/*
%{_datadir}/pspell/

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 0.1.1-16
- Multilib, rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.1.1-14
- Rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.1.1-12
- Rebuild

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.1.1-11
- s/Copyright/License/

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue May 01 2001 Bill Nottingham <notting@redhat.com>
- build on ia64

* Sun Aug 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Sat Jun 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added .pwli file

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added a german.dat, as it no longer seems to be included in
  aspell itself.

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
